
Redmine - Patch #7418

Redmine Persian Translation

2011-01-23 06:16 - Behrang Noroozinia

Status: Closed Start date: 2011-01-23

Priority: Normal Due date:  

Assignee:  % Done: 90%

Category: Translations Estimated time: 0.00 hour

Target version: 1.2.0   

Description

Persian translation for Redmine is attached.

Related issues:

Related to Redmine - Patch #28493: Persian translation update and improvements Closed

Associated revisions

Revision 4903 - 2011-02-21 11:08 - Jean-Philippe Lang

Added Persian translation contributed by Behrang Noroozinia (#7418).

Revision 5595 - 2011-04-29 12:42 - Jean-Philippe Lang

Persian Translation update by Behrang Noroozinia (#7418).

Revision 13096 - 2014-04-17 02:21 - Toshi MARUYAMA

Persian Translation updated by shakib a (#16704, #7418)

Revision 13097 - 2014-04-17 02:34 - Toshi MARUYAMA

replace Atom by RSS (#16704, #7418)

Revision 13098 - 2014-04-17 02:43 - Toshi MARUYAMA

replace RSS by Atom (#16704, #7418)

Revision 13099 - 2014-04-17 02:53 - Toshi MARUYAMA

fix label_module_plural merge miss (#16704, #7418)

Revision 13100 - 2014-04-17 03:11 - Toshi MARUYAMA

remove permission_manage_documents (#16704, #7418)

History

#1 - 2011-01-23 11:02 - Behrang Noroozinia

Basecamp theme extension that supports RTL languages is also available at: https://github.com/Behrang/redmine-themes

#2 - 2011-02-21 11:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.2.0

Translation committed in r4903, thanks for your nice work.

A few strings were added since you submitted your translation, feel free to submit updates for this.

#3 - 2011-02-24 15:53 - Majid Tajamolian

- Status changed from Closed to Reopened

- % Done changed from 0 to 90

Strings of calendar legend are ommited.

#4 - 2011-03-18 18:16 - Ebrahim Mohammadi
- File fa.yml added

- File fa.yml.diff added

Thanks Behrang, you saved me a lot of translation work! :)

Just a few notes:

Mainstream Persian name of "Persian" is "فارسی" (not "پارسی"),

Mainstream name of Iranian weekend is "جمعه",

Provided short and long date formats are not popular ones,

We've got two 3-letter complete words for AM and PM in Persian, in order "صبح" and "عصر", which are preferable to abbreviations IMO.

I've translated the missing words and fixed the mentioned issues. A patch against trunk as well as a complete fa.yml is attached.

A side note: first day of week (general_first_day_of_week) in fa locale is set to 6 which depends on #7097 to work correctly.

#5 - 2011-03-18 18:37 - Ebrahim Mohammadi

- File fa.yml added

- File fa.yml.diff added

Previous attachments were missing translation of new strings. Fixed files are attached.

#6 - 2011-03-26 20:35 - Behrang Noroozinia

Mohammad Ebrahim Mohammadi Panah wrote:

Mainstream Persian name of "Persian" is "فارسی" (not "پارسی"),

Mainstream name of Iranian weekend is "جمعه",

Provided short and long date formats are not popular ones,

We've got two 3-letter complete words for AM and PM in Persian, in order "صبح" and "عصر", which are preferable to abbreviations IMO.

 Thanks for your contribution. I disagree with you on the first and second item and agree with the third and forth item.

1. The reason I translated "Persian" to «پارسی» is that I tried very very hard to translate English words to real Persian words and avoided the use of

Arabic words. So I translated "Persian" to «پارسی» for showing that spirit in the name of my translation.

2. According to the previous item, «جمعه» is Arabic and «آدینه» is Persian. I think we can help people remember some Persian words that are used

rarely.

3. Please provide some better formatting. I tried to change that and see the result on the Issues List page, but I couldn't find a good format which

makes reading date and time in lists easy.

4. That's a good point, but again I don't like Arabic words. If I could find better Persian words, I would use them, but for now those are good

translations. Maybe «پگاه» would be a good choice for AM. I don't know a Persian word for PM. But for now these are better translations than mine.

Again thanks. Together we can make a difference.

Behrang

#7 - 2011-04-11 10:35 - Behrang Noroozinia

- File fa.yml added

- File fa.yml.diff added

I have improved my last translation and missing translations are added. fa.yml and fa.yml.diff are attached. Please merge them in trunk.

Behrang

#8 - 2011-04-11 12:38 - Ebrahim Mohammadi

I've done a more thorough review of current fa.yml of Redmine. My conclusion is current Persian localization of Redmine has major flaws, mostly

because of a flawed approach to localization. I'll present you with some notes in this regard, although I guess none of the core contributors know

Persian language well enough to verify my statements.

However I encourage you to read a bit about Persian language and its relation to Arabic, maybe at http://en.wikipedia.org/wiki/Persian_language.

Long story short, script of Persian language is Perso-Arabic and there are a whole lot of Arabic words absorbed into Persian over centuries. People

use many Arabic words in their daily life. (Wikipedia article says "40% of everyday literary activity".) Some of Arabic words are easily replaceable by

their purely-Persian words, some are more difficult and the pure-Persian alternative will look alien to people, and some of them next to impossible.

The Arabic words of Persian language are not considered a problem in general. They have enriched the language and people are happy with them.

However in some intellectual circles there is an extremist will for replacing all Arabic words of the Persian language with some pure-Persian word,

2025-05-17 2/7

https://www.redmine.org/issues/7097
http://en.wikipedia.org/wiki/Persian_language


which is propelled mostly by anti-Arab racism of some Persians.

(Well, sorry, my short story went too long!)

The issues with current Persian translation can be categorized under three types:

Wrong translations: provided Persian translation is wrong.

Wrong translation of "issue" into "پیامد". Word پیامد is composed of پی+آمد and means consequence. There are better translations for

"issue" such as "مسأله" or "مورد". But I guess Behrang won't use them because he doesn't like Arabic words and these words have Arabic

roots. (This is the reason Behrang has provided in his previous comments.)

Wrong translation of "page" into "برگه". Persian word برگه is equivalent of English word "sheet". The most straightforward Persian

translation of "page" is "صفحه". However I think Behrang avoided it again just because he doesn't like Arabic words.

Wrong translation of "tracker" into "پیگرد" which means "pursuit" or "prosecution". My uggested alternative is پی‌گیر.

Wrong translation of "change" into "جایگزینی" which means "to replace". Straightforward translation of "change" is "تغییر". This is Arabic

again, which makes me think that's why Behrang has avoided it.

Wrong translation of "news" into "رویدادها" instead of the obvious equivalent "اخبار" or "خبرها". Word "رویداد" means "event".

Non-mainstream translations: provided Persian translation is not wrong, but there exist other more-used more-familiar mainstreams translations.

Mainstream Persian name of Persian language is "فارسی". (As confirmed by the Wikipedia article.)

Most popular Persian name of Friday is "جمعه", not "آدینه". (Check at http://en.wikipedia.org/wiki/Iranian_calendars#Days_of_the_week)

Inconsistent and ambiguous translation of "delete". Sometimes into برداشتن, sometimes into پاک کردن, ... The most straightforward

translation of delete is حذف as a noun and حذف کردن as a verb. Again it seems it was avoided just because it has Arabic roots.

Non-friendly and ambiguous translation of "priority" into "برتری". Nearest meaning of "برتری" is "advantage" and "prominence". Obvious

translation is "اولویت". You guessed it, it is Arabic again.

Ambiguous translation of "new" into "تازه". Nearest meaning of تازه is "fresh". Straightforward translation is جدید. Yes, Arabic.

Non-friendly and ambiguous translation of "manage" and "administration" both into "سرپرستی". Maybe because the obvious translation of

"manage" is "مدیریت", an Arabic word which Behrang doesn't like.

Not translating some newly introduced foreign words

"email" is not translated to its Persian alternative رایانامه, but transliterated into ایمیل or میل, which incidentally is already a word in

Persian meaning "desire" or "will"!

If Behrang decides to change his approach, then the problem is solved. Anyway I'll be maintaining a Persian localization focused on

correctness, usability, and consistency in my own branch of Redmine at http://code.ebrahim.ir/redmine. (I can provide patches against

upstream trunk at any time.)

"field" is not translated. My translation is "بخش".

It is not all of my notes, but I'm tired of writing, and probably you're tired of reading!

At the end it is a decision to be made by core contributors of Redmine which way they want to go in this regard:

1. providing a translation focused on correctness, usability, and consistency, (be it mine, or Behrang's after fixing his own,)

2. providing a translation driven by someone's personal feelings about words,

3. not delivering a Persian localization at all.

Sorry again for taking your time by my long comment.

#9 - 2011-04-11 12:42 - Ebrahim Mohammadi

I wish I could update my comments. Please someone with the permission take the paragraph starting with "If Behrang decides to change..." out of the

bulleted list.

#10 - 2011-04-13 16:28 - Behrang Noroozinia

I think you hate my translation! I'm not an anti-Arab racist, or more generally any type of racist. Please don't insult people.

About your wrong translations section:

You said پی‌آمد means consequence. If I try to translate your suggestions to English again, مساله would mean Problem and مورد would

mean Item. So you see, trying to reversing the translation to show that my translation is wrong, is not a good approach. There is no pure

translation. No translation would be 100% accurate. In my translations, I tried to understand the concept that the page wanted to tell, and

then I created a translation. So there is no word to word mapping here.

Sheet means برگ, not برگه.

I agree with this one.

There are many "change" words in the source translation. Which one are you talking about? Some of them are verbs, some are nouns, and

some other like change-set.

Again, you shouldn't reverse translate رویدادها back to English.

About non-mainstream translations:

As I tried hard in choosing words, I chose پارسی to show this in the title of the translation.

I think آدینه seems more natural to other week days in Persian than جمعه which means the day people gather to say their prayers.

Again, depending to the context, same word may have a different translation.

and again...

and again...

and again...

About not translating some newly introduced foreign words:

Are you checking the correct file?? No where in that file there is the word میل which would mean desire! Check again. But I like رایانامه

and I will use this suggestion in my next revision.
I will check your suggestion for field in the context and see if it works.

I think instead of reverse translating my translation to see that it yields to the source, you'd better check RedMine with my Persian translation and see

if it works for you! Does it tell you false information? Does this translation prevent you from doing your job? Does it block you from working with

RedMine?

This is an open source project, and everyone can contribute what they want to the project. I spend some time in translating this project, because I

liked it. You can too. You can provide your contributions (or even find and replace the words you don't like in my translation with some other words)

and there is a process which will ultimately result in a translation for this project or they may be even two translations (or locales). But insulting people

and destructing their work and their spent time is not appropriate and is not good for the community around it.

By the way, did you try to translate that big en.yml file or are you just changing my translation?

Behrang

#11 - 2011-04-13 16:55 - Ebrahim Mohammadi

I appreciate your effort as I have said before, and my fa.yml is totally based on yours, just reviewed and changed some parts. I meant no insult. Sorry

if my wording was strong and has annoyed you.

I'm glad you're open to criticism and suggestions. I hope we can both focus on usability of Persian localization of Redmine, and share out efforts. We

should be translating for people. It is Redmine users' right to face a familiar vocabulary with the least brain burden. (For example reading "برگه" where

user is used to "صفحه" challenges user's mind.) I suggest you take my fa.yml and take a look at our differences. Maybe you like some parts, specially

differences I didn't mention in my previous comment. And please don't avoid using mainstream Arabic-rooted Persian words, for sake of users' ease.

As a final request: please, please, please at least change translation of "issue". "پیامد" doesn't make sense there, even remotely. "Issue" is a very

important word in Redmine. Please fix it.

#12 - 2011-04-29 13:34 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Assignee deleted (Azamat Hackimov)

I've committed the latest changes from Behrang in trunk and I'm closing this ticket since 1.2.0 will be released in a few days.

That said, I'd like to get some feedback from other people to see if the current translation is OK or if it needs some heavy changes as suggested by

Ebrahim.

#13 - 2011-04-29 14:56 - Behrang Noroozinia

I checked some dictionaries, and the word "پیامد" is one of the translations which I still think is a good translation. I tried to change it with many other

things like "مورد", "مساله", "مشکل", "کار" but I still think they are not good enough. On the other side, پیامد which is one the main translations in

some dictionaries, is applicable. This is something that people, on the project development or clients or managers or ... want to be tracked and

followed.

Currently we are two people and I think we should wait for more people to come to this page and provide their opinion. I don't think that this

translation prevents people from using Redmin. When they started to use it, we can get more feedback and act appropriately. As currently this issue

is closed, let's wait for 10 more people and then decide.

I also didn't have time to check your translation file, but I will check it soon.

#14 - 2011-11-18 19:41 - Sayyid Amin Mirzaei

I would like to appreciate the work done by both of you, Behrang and Ebrahim! Thanks!

I didn't update my redmine installation to 1.2 yet, so I haven't seen the translations. From the comments, I agree more with Ebrahim's suggestions.

Will be back when applied this patch!

#15 - 2012-12-27 23:47 - s shekoofa

Sayyid Amin Mirzaei wrote:

I would like to appreciate the work done by both of you, Behrang and Ebrahim! Thanks!

I didn't update my redmine installation to 1.2 yet, so I haven't seen the translations. From the comments, I agree more with Ebrahim's

suggestions.

Will be back when applied this patch!

 Salam

I agree with "Sayyid Amin Mirzaei" and while i and my friend appreciate both Behrang and Ebrahim but realy after some working with the persian

Redmine with the Mr. Behrang's translation we decided to use the English translation! Because the persian translation seemed very odd to us. I must

say that we are new to Redmine and the most important quest is the Iranian calander (Shamsi) for Redmine. Thanks to all developers of Redmine

and you.

.در ضمن بحث در مورد فارسی و پارسی چندان مناسب چنین مکانهایی بنظر نمی رسد

اگر نظرات مختلف است بهتر است هر دو نگارش از زبان فارسی و پارسی کامل تولید و به

Redmine

2025-05-17 4/7



.اضافه شود

.بهر حال کاربران ایرانی بسته به سلیقه یکی را انتخاب خواهند کرد و بحث هم خاتمه خواهد یافت

مانند انگلیسی آمریکایی و انگلیسی بریتانیایی ما می توانیم دو گزینه زبان برای ایران داشته باشیم: ایرانی فارسی و ایرانی پارسی

با سپاس

#16 - 2014-04-16 22:02 - iransamin.ir sabasa

- File fa.yml added

Hi

I have prepared a very smooth and fluent persian translation for Redmine.

I ask Mr. Jean-Philippe Lang to include this translation into the next versions of redmine.

I have used this translation for at least 1 year and Iranian users in my firm feel comfort with it.

Thank you very much in advance.

http://www.redmine.org/attachments/download/11482/fa.yml

#17 - 2014-04-17 05:34 - Toshi MARUYAMA

Committed in trunk r13096 to r13100, thanks.

#18 - 2018-03-26 11:48 - Ashkan Valizadeh

Hello

Thanks to every one who works on Persian/Farsi translation.

As somebody who lives in Iran and speaks Farsi, I have some objections to you, dear translators. I think the real effort must be take in a way to make

the translation usable, In current Redmine translation there are words that we usually never use in day to day conversations, such as:

Day to day translation <= Current translation

پسین =>                   بعدی

پاک =>                    حذف

ویکی =>                دانشنامه

همگانی =>                  عمومی

پالایه =>                  فیلتر

همکاران =>                   اعضا

نگارش‌ها =>                 نسخه‌ها

بایگانی =>                  منابع

برگزینید =>            انتخاب کنید

پیوندنامه =>                 پروتکل

کرانه =>    حداکثر/بیشترین/بیشینه

پیش‌گزیده =>                 پیش‌فرض

کلیدواژه‌های نشانه =>        کلیدواژه‌های مرجع

...

...

...

The preferred words/phrases are mostly Arabic, and some English.

I think every language (including Farsi) is what users/people of that language create to communicate with each other. It is not something that can be

forced upon them.

Farsi people after hundreds/thousands of years preferred the current combination of words for themselves, which is a mixture of old Persian, a lot

Arabic, some English, a few French and ... .

I think it is an evolution and progress for Farsi, and to try hard to only use the old Persian words is only closing of eyes to the new richness of

language that is achieved by absorbing new words from foreign languages.

I request that dear translators, translate for users, and not forcing their visions, and point of view on them.

Thank you all.

#19 - 2018-03-26 11:56 - Ashkan Valizadeh

I must say that some example of above list is used in day to day conversations but not in the place or in the way that is currently used in translations,

such as these ones:

همگانی => عمومی

همکاران => اعضا

نگارش‌ها => نسخه‌ها

These words can not convey the real meaning in their currently used positions

#20 - 2018-03-26 15:49 - Go MAEDA

Ashkan Valizadeh, this issue is not a suitable place to discuss translation because it is already closed. Please create a new issue.
#21 - 2018-03-26 22:00 - Behrang Noroozinia

@Ashakan, please review the translations and change it with what you see fit, also update it for recent changes to Redmine and create a new issue

and follow on. 7 years have passed, so my translations must be missing a lot.

#22 - 2018-03-27 16:07 - iransamin.ir sabasa

Dear Ashakan, I agree with "Behrang Noroozinia" and "Go MAEDA". This issue is closed, and your better to open a new issue and link it to this one. If

your new issue is verified as an bug or feature and could be resolved using your new translation, then it could be applied to the trunk. There you can

discuss about it.

Thanks.

P.S. There are some local versions of Redmine, like https://iransamin.ir

#23 - 2018-03-28 07:46 - Ashkan Valizadeh

Thank you very much for your attentions and guidance.

I will update the translation as I use it at my work and after a few week of tuning it using my co-workers feed backs, I will create a new issue and

upload it there and make a link to this issue.

Thank you all

#24 - 2018-04-07 11:55 - Ebrahim Mohammadi

See #28493.

#25 - 2018-04-07 13:01 - Marius BĂLTEANU

- Related to Patch #28493: Persian translation update and improvements added

#26 - 2021-12-19 12:05 - Amir Khalili

Gentlemen hope you enjoy the show.

I needed it so i made it.

I'm not a developer by nature btw.

Redmine version 4.1.1 fully Persian localized for F* Free. Things that localized:

- The actual Calendar.

- Every date input has Jalali date picker (thnx to Reza Babakhani <babakhani.reza@gmail.com> for free JS date picker).

- Roadmap has Jalali dates.

- Versions has Jalali dates.

- Activies are displayed in Jalali dates.

- Wikis are in Jalali dates.

- Every dates that are used in Issues are now in Jalili format (things like: "created_on", "updated_on", ...)

- Repositories are fully in Jalali format.

- Gantt is in jalali format (i dont like it though).

- Documents dates are in Jalali format.

- Files dates are in Jalali format.

- Time entries are in Jalali format. You can add time entry in Jalali format, you can also report everything in Jalali dates.

- Dates tooltips are in Jalali format.

- Many icons, tables and context menus tweaked to fully support RTL schema.

Plugins that localized:

- Agile board plugin fully persian localized (God dammit he even did that too! LoL LoL LoL). even it's chart dates now diplay Jalali dates.

- "More previews" plugin localized (it's just dates table you know :D )

- CK Editor ADDED :)) .

Things not included (I haven't really looked into these yet, cause i had no interest)

- News

- Forums

Notes:

- When you use date filters to filter something the most stable way is to use "From To" model which gives you two date inputs. I tweaked "Current

date" and "Current month" to display right dates but "previous week", "previous months" and stuff like that may don't give you expected results :D !

- Dont mess around with "Date format" in settings, Its hard coded in some places :)) Use default one.

May i proudly present you:

https://github.com/dearssickness/redmine-fa

Ow it has a fully several times tested Persian installation document which added to the main code "Redmine-Deplyment.docx". Just connect machine

to Internet and copy paste stuffs LoL.

Thnx to Redmine guys.

#27 - 2021-12-19 12:07 - Amir Khalili
Respect to Behrang

Files

fa.yml 49.4 KB 2011-01-23 Behrang Noroozinia

calendar-fa.js 3.88 KB 2011-01-23 Behrang Noroozinia

jstoolbar-fa.js 838 Bytes 2011-01-23 Behrang Noroozinia

fa.yml 49.9 KB 2011-03-18 Ebrahim Mohammadi

fa.yml.diff 1.68 KB 2011-03-18 Ebrahim Mohammadi

fa.yml 50.2 KB 2011-03-18 Ebrahim Mohammadi

fa.yml.diff 3.06 KB 2011-03-18 Ebrahim Mohammadi

fa.yml 51.1 KB 2011-04-11 Behrang Noroozinia

fa.yml.diff 9.63 KB 2011-04-11 Behrang Noroozinia

fa.yml 59.2 KB 2014-04-16 iransamin.ir sabasa
